From 3ad1d8b267cd11531bf9fdbf5e11f20043acd0fd Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Thu, 13 Jun 2019 16:36:00 +0200
Subject: [PATCH 1/7] kicad: update to 5.1.2.

---
 srcpkgs/kicad/patches/disable-warnings.patch | 13 ++++++++++---
 srcpkgs/kicad/template                       | 10 +++++-----
 2 files changed, 15 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/kicad/patches/disable-warnings.patch b/srcpkgs/kicad/patches/disable-warnings.patch
index 61f4c971eda..71cf31867c8 100644
--- a/srcpkgs/kicad/patches/disable-warnings.patch
+++ b/srcpkgs/kicad/patches/disable-warnings.patch
@@ -1,6 +1,6 @@
---- CMakeLists.txt	2018-08-28 03:25:23.249861345 +0200
-+++ CMakeLists.txt	2018-08-28 03:25:43.136716748 +0200
-@@ -188,18 +188,6 @@
+--- CMakeLists.txt	2019-06-13 14:40:04.382931388 +0200
++++ CMakeLists.txt	2019-06-13 14:40:56.256019689 +0200
+@@ -203,25 +203,6 @@
  endif()
  
  
@@ -13,6 +13,13 @@
 -    if(COMPILER_SUPPORTS_WSUGGEST_OVERRIDE)
 -        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wsuggest-override")
 -    endif()
+-
+-    CHECK_CXX_COMPILER_FLAG("-Wvla" COMPILER_SUPPORTS_WVLA)
+-
+-    if(COMPILER_SUPPORTS_WVLA)
+-        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror=vla")
+-    endif()
+-
 -endif()
 -
 -
diff --git a/srcpkgs/kicad/template b/srcpkgs/kicad/template
index 24ae4f90c2c..24e71d87d14 100644
--- a/srcpkgs/kicad/template
+++ b/srcpkgs/kicad/template
@@ -1,7 +1,7 @@
 # Template file for 'kicad'
 pkgname=kicad
-version=5.0.2
-revision=2
+version=5.1.2
+revision=1
 build_style=cmake
 configure_args="-DKICAD_BUILD_VERSION=${version} -DKICAD_SCRIPTING=ON
  -DKICAD_SCRIPTING_MODULES=ON -DKICAD_SCRIPTING_WXPYTHON=ON
@@ -16,12 +16,12 @@ short_desc="Electronic schematic and PCB design software"
 maintainer="Steve Prybylski <sa.prybylx@gmail.com>"
 license="GPL-3.0-or-later"
 homepage="http://kicad-pcb.org"
-distfiles="https://launchpad.net/${pkgname}/${version%.*}/${version}/+download/${pkgname}-${version}.tar.xz"
-checksum=2f3406e72eb6757789c18bd9204d0c6ddae64b025f4c6fec28037410722ec080
+distfiles="https://launchpad.net/${pkgname}/${version%%.*}.0/${version}/+download/${pkgname}-${version}.tar.xz"
+checksum=84376c50b436a1aec985d3de94e6f445ea5c1e5c75c04a239c9837a1ab40778a
 build_options="spice"
 build_options_default="spice"
 
-CXXFLAGS="-std=c++14"
+CXXFLAGS="-std=c++17"
 
 case $XBPS_TARGET_MACHINE in
 	armv6l-musl)

From f7104907bb4e116e6ddcd2c2f4a61ba21f8571a3 Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Thu, 13 Jun 2019 16:36:49 +0200
Subject: [PATCH 2/7] kicad-templates: update to 5.1.2.

---
 srcpkgs/kicad-templates/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-templates/template b/srcpkgs/kicad-templates/template
index 6ec2be610a4..675039d39c2 100644
--- a/srcpkgs/kicad-templates/template
+++ b/srcpkgs/kicad-templates/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-templates'
 pkgname=kicad-templates
-version=5.0.2
+version=5.1.2
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,4 +10,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad-pcb.org"
 distfiles="https://github.com/kicad/kicad-templates/archive/${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=ca46396cfbc31cbf78f5edbcf5950caccd18fc1486ccb145884e577cac076b76
+checksum=fd14978af2d5b64d41561c8cd954f386a10e1548d6db2d4998281deffddeffbb

From 12eee81af8fbe747d308e2cf981965ce0b4126ee Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Thu, 13 Jun 2019 17:56:52 +0200
Subject: [PATCH 3/7] kicad-footprints: update to 5.1.2.

---
 srcpkgs/kicad-footprints/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-footprints/template b/srcpkgs/kicad-footprints/template
index 5ebb745e900..db60f74583a 100644
--- a/srcpkgs/kicad-footprints/template
+++ b/srcpkgs/kicad-footprints/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-footprints'
 pkgname=kicad-footprints
-version=5.0.2
+version=5.1.2
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,4 +10,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad-pcb.org"
 distfiles="https://github.com/kicad/kicad-footprints/archive/${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=430c3d58ad85aa87c2514b3243536f73d8690681693d63bc5886ce3b82e2e841
+checksum=fb0f983393c78dc9bb0b060827a98e57d96abe9881f9fb356c2afdecc0fdbfd1

From 3f48578018be64cb3260d097e09e99659873b915 Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Thu, 13 Jun 2019 17:58:02 +0200
Subject: [PATCH 4/7] kicad-i18n: update to 5.1.2.

---
 srcpkgs/kicad-i18n/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-i18n/template b/srcpkgs/kicad-i18n/template
index 449733936e1..5fa1e338958 100644
--- a/srcpkgs/kicad-i18n/template
+++ b/srcpkgs/kicad-i18n/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-i18n'
 pkgname=kicad-i18n
-version=5.0.2
+version=5.1.2
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,4 +10,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad-pcb.org"
 distfiles="https://github.com/kicad/${pkgname}/archive/${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=cde8939ad031519847f90daa1ad6d87516ab224949e028a5f89a895c7595870a
+checksum=a07ffc5c5cb61b2a81ff7716fbfd8f0d7a470961e7660d5d8e424a91bcf7d6e7

From b1dec351d3c060a19f6cbc6a7ed7417a0fe2ada7 Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Thu, 13 Jun 2019 17:58:16 +0200
Subject: [PATCH 5/7] kicad-symbols: update to 5.1.2.

---
 srcpkgs/kicad-symbols/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-symbols/template b/srcpkgs/kicad-symbols/template
index c3c362bd4a5..1fc4726047d 100644
--- a/srcpkgs/kicad-symbols/template
+++ b/srcpkgs/kicad-symbols/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-symbols'
 pkgname=kicad-symbols
-version=5.0.2
+version=5.1.2
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,4 +10,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad-pcb.org"
 distfiles="https://github.com/kicad/kicad-symbols/archive/${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=eeb58a46ab9423ae2b66307f50cc0c897a1a7679d91f423402edb80f0df21cdc
+checksum=e89fc4d2ad27a287a9d8924e6c6c4837d39f2a7192797b8c31535ffb18f2dc8c

From 78a6b8bf0d79d7ca6ec197f057ba2678c530ce24 Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Fri, 14 Jun 2019 22:09:57 +0200
Subject: [PATCH 6/7] kicad-packages3D: update to 5.1.2.

---
 srcpkgs/kicad-packages3D/template | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/srcpkgs/kicad-packages3D/template b/srcpkgs/kicad-packages3D/template
index d166354178a..43b2fd9558f 100644
--- a/srcpkgs/kicad-packages3D/template
+++ b/srcpkgs/kicad-packages3D/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-packages3D'
 pkgname=kicad-packages3D
-version=5.0.2
+version=5.1.2
 revision=1
 archs=noarch
 build_style=cmake
@@ -10,4 +10,4 @@ maintainer="Urs Schulz <voidpkgs@ursschulz.de>"
 license="CC-BY-SA-4.0"
 homepage="http://kicad-pcb.org"
 distfiles="https://github.com/kicad/kicad-packages3D/archive/${version}.tar.gz>${pkgname}-${version}.tar.gz"
-checksum=86e20dfb3a4720082a4dd92d66c7d3581e11f3638c8dc3a832a526ab3fc321fa
+checksum=5c3dfc3cc7f11ce5a19853b86a79dbeef7383ccbf7ecaf9c83728bcc28edef09

From e8d5bea17d819961941d3149d9d9205b4cf1af7d Mon Sep 17 00:00:00 2001
From: Urs Schulz <voidpkgs@ursschulz.de>
Date: Fri, 14 Jun 2019 22:10:02 +0200
Subject: [PATCH 7/7] kicad-library: update to 5.1.2.

---
 srcpkgs/kicad-library/template | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/srcpkgs/kicad-library/template b/srcpkgs/kicad-library/template
index 11f572c896c..28862f891aa 100644
--- a/srcpkgs/kicad-library/template
+++ b/srcpkgs/kicad-library/template
@@ -1,6 +1,6 @@
 # Template file for 'kicad-library'
 pkgname=kicad-library
-version=5.0.2
+version=5.1.2
 revision=1
 build_style=meta
 depends="kicad-footprints>=${version} kicad-packages3D>=${version}
